flutter_page_tracker 3.0.6

Flutter Android iOS web

flutter_page_tracker is a flutter plugin which help tracking route events of PageRoute/PopupRoute/PageView/TabView. Route events include PageView and PageExit.

5
likes
80 / 110
pub points
69 %
popularity

We analyzed this package on Sep 25, 2020, and awarded it 80 pub points (of a possible 110):

Follow Dart file conventions
10 / 20

10/10 points: Provide a valid pubspec.yaml

0/5 points: Provide a valid README.md

`README.md` contains too many non-ASCII characters.

The site uses English as its primary language. The content of README.md in your package should primarily contain characters used in English.

0/5 points: Provide a valid CHANGELOG.md

`CHANGELOG.md` contains too many non-ASCII characters.

The site uses English as its primary language. The content of CHANGELOG.md in your package should primarily contain characters used in English.

Provide documentation
10 / 20

10/10 points: Package has an example

  • Found example at: example/lib/main.dart

0/10 points: 20% or more of the public API has dartdoc comments

  • 23 out of 144 API elements (16.0 %) have documentation comments.

Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API. Document at least 20% of the public API elements.

Support multiple platforms
20 / 20

20/20 points: Supports 3 of 3 possible platforms (iOS, Android, Web)

Consider supporting these prerelease platforms:

Package does not support Flutter platform Windows

Because:

  • package:flutter_page_tracker/flutter_page_tracker.dart that imports:
  • package:flutter_page_tracker/src/page_load_mixin.dart that imports:
  • package:fluttertoast/fluttertoast.dart that declares support for platforms: Android, iOS, Web
Package does not support Flutter platform Linux

Because:

  • package:flutter_page_tracker/flutter_page_tracker.dart that imports:
  • package:flutter_page_tracker/src/page_load_mixin.dart that imports:
  • package:fluttertoast/fluttertoast.dart that declares support for platforms: Android, iOS, Web
Package does not support Flutter platform macOS

Because:

  • package:flutter_page_tracker/flutter_page_tracker.dart that imports:
  • package:flutter_page_tracker/src/page_load_mixin.dart that imports:
  • package:fluttertoast/fluttertoast.dart that declares support for platforms: Android, iOS, Web
Pass static analysis
20 / 30

20/30 points: code has no errors, warnings, lints, or formatting issues

Found 16 issues. Showing the first 2:

INFO: Unused import: 'package:flutter/scheduler.dart'.

lib/src/page_load_mixin.dart:7:8

  ╷
7 │ import 'package:flutter/scheduler.dart';
  │        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  ╵

To reproduce make sure you are using pedantic and run flutter analyze lib/src/page_load_mixin.dart

INFO: 'inheritFromWidgetOfExactType' is deprecated and shouldn't be used. Use dependOnInheritedWidgetOfExactType instead. This feature was deprecated after v1.12.1..

lib/src/page_load_provider.dart:20:23

   ╷
20 │       return (context.inheritFromWidgetOfExactType(
   │                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
   ╵

To reproduce make sure you are using pedantic and run flutter analyze lib/src/page_load_provider.dart

Support up-to-date dependencies
20 / 20

10/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
flutterflutter0.0.00.0.0
fluttertoast^7.0.07.1.17.1.1
Transitive dependencies
PackageConstraintCompatibleLatest
characters-1.0.01.0.0
collection-1.14.131.14.13
flutter_web_plugins-0.0.00.0.0
meta-1.1.81.2.3
sky_engine-0.0.990.0.99
typed_data-1.2.01.2.0
vector_math-2.0.82.0.8

To reproduce run pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

5
likes
80
pub points
69%
popularity

flutter_page_tracker is a flutter plugin which help tracking route events of PageRoute/PopupRoute/PageView/TabView. Route events include PageView and PageExit.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

billl89g@gmail.com

License

BSD (LICENSE)

Dependencies

flutter, fluttertoast

More

Packages that depend on flutter_page_tracker